import * as React from 'react';
import useGet from '../../hooks/useGet';
import usePost from '../../hooks/usePost';
import usePut from '../../hooks/usePut';
import usePatch from '../../hooks/usePatch';
import useDelete from '../../hooks/useDelete';
var ApiConsumer = function () {
    var getResult = useGet('user.list', { lazy: true });
    var postResult = usePost('user.list', {});
    var putResult = usePut('user.list', {});
    var patchResult = usePatch('user.list', {});
    var deleteResult = useDelete('user.list', {});
    return (React.createElement(React.Fragment, null,
        React.createElement("p", null, "Dummy for api"),
        typeof getResult[0] === 'function' && typeof getResult[1] === 'boolean' && (React.createElement("p", null, "Get correctly")),
        typeof postResult[0] === 'function' && typeof postResult[1] === 'boolean' && (React.createElement("p", null, "Post correctly")),
        typeof putResult[0] === 'function' && typeof putResult[1] === 'boolean' && (React.createElement("p", null, "Put correctly")),
        typeof patchResult[0] === 'function' && typeof patchResult[1] === 'boolean' && (React.createElement("p", null, "Patch correctly")),
        typeof deleteResult[0] === 'function' && typeof deleteResult[1] === 'boolean' && (React.createElement("p", null, "Delete correctly"))));
};
export default ApiConsumer;
//# sourceMappingURL=ApiConsumer.js.map